{ pkgs, ... }:

with pkgs;
[

  shellcheck

  # Further tools
  lazygit

  # makemkv
  audacity
  gnome.cheese
  zoom-us
  qutebrowser

  unetbootin

  # For SSS exercises
  pwndbg
  gcc
  hexedit

  # rfid reader tests
  # openct
  # opensc
  # pcsclite
  # pcsctools
  # ccid
  # libnfc

  xournalpp

  zip
  p7zip # unzip 7zip archives

  imagemagick
  ghostscript # needed for imagemagick with pdfs

  firefox
  thunderbird
  # nextcloud-client # use service instead
  qalculate-gtk
  libqalculate

  # schildichat-desktop # not updated regularly
  # element-desktop
  tdesktop # telegram

  tealdeer
  gcolor2 # gcolor3 does not work
  # cups
  wget
  nodejs
  git
  dotter
  mc
  # broot
  rnr # renaming tool in rust
  # doublecmd
  # mucommander
  tree
  wezterm
  kitty
  bat
  ripgrep
  fd
  fzf
  topgrade

  arandr
  htop
  # texlive.combined.scheme-full
  # texlab
  usbutils # lsusb
  pciutils # lspci

  gnome.gnome-keyring
  gnome.seahorse
  polkit_gnome
  nix-index
  python3
  libnotify
  libclang
  libreoffice
  killall
  findutils
  xorg.xkill
  unzip
  vlc
  handbrake
  nmap
  jq
  jdk
  # emacsPackages.clang-format # formatting for java
  gradle
  maven
  android-tools
  scrcpy
  # dvdisaster
  mate.engrampa
  # toybox
  unixtools.procps
  ffmpeg
  links2
  julia-bin
  # xdg-desktop-portal-gtk
  discord
  lnav # log analyzing tool
  fdupes # find and delete duplicate files
  digikam
  dbeaver-bin
  sqlite

  nomacs
  rocketchat-desktop

  (texlive.combine {
    # for rendering latex in inkscape
    inherit (texlive)
      scheme-medium
      standalone
      amsmath
      preview
      ;
  })
  # (pkgs.inkscape-with-extensions.override {
  #   inkscapeExtensions = [ pkgs.inkscape-extensions.textext ];
  # })
  # inkscape-with-extensions
  # inkscape-extensions.textext
  inkscape

  geogebra

  languagetool
  xclip
  okular # Pdf reader with many features, good for commenting documents
  evince # Simple pdf reader, good for focusing on document content
  pdfsam-basic # Split, merge, etc for pdfs

  poppler_utils # Pdf utils including pdfimages
  matlab # Using nix-matlab overlay defined in flake
  sage

  gimp

  devbox
  parted
  drawio
  du-dust # Like du tree but better
  gnupg
  rpi-imager

  wine
  winetricks

  # lf
  # rustdesk
  # realvnc-vnc-viewer
  calibre

  audible-cli

  # cudaPackages.cudatoolkit
  # openmvg
  # colmapWithCuda
  path-of-building

  ## My scripts
  frajul.edit-config
  frajul.xwacomcalibrate

  nheko
  conda

  pkg-config # Often needed to build something
]
